/*
class for driving MCP4631 dual pots, might work with other parts in the family, untested for that
(c) Doug Coulter 2017.  GPL v2 license - share and enjoy.
*/

#ifndef CLab_MCP4631_H_
#define CLab_MCP4631_H_

// Don't forget the Wire library
#ifdef __AVR_ATtiny85__
#include <TinyWireM.h>
#else
#include <Wire.h>
#endif

class CLab_MCP4631 {

public:
void begin(uint8_t addr); // gotta tell us which one (base is 0x28h)
void writeWiper (uint8_t which, uint8_t pos);	
// should add read here for people who can't keep track on their own?
private:
	uint8_t i2caddr; // the unit we talk to in this instance
};
#define MCP4631_Wiper0	0x00
#define MCP4631_Wiper1	0x01
#define MCP4631_TCON	0x04

#endif